﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.Editors;
using System.Collections.ObjectModel;
using System.Diagnostics;

namespace XamComboEditorSelectedItemChanged
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public ObservableCollection<Test> data { get; set; }

        public MainWindow()
        {
            InitializeComponent();
            data = new ObservableCollection<Test>();
            data.Add(new Test() { Data = "Test1" });
            data.Add(new Test() { Data = "Test2" });
            data.Add(new Test() { Data = "Test3" });
            xamDataGrid1.DataSource = data;
        }

        void ItemChanged(object sender, RoutedPropertyChangedEventArgs<object> e)
        {
            Debug.WriteLine("Item Changed !");
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            Style style = new Style(typeof(XamComboEditor), this.grid1.Resources["ServiceFieldStyle"] as Style);
            this.xamDataGrid1.FieldLayouts[0].Fields[0].Settings.EditorStyle = style;
            ObservableCollection<Test> data = new ObservableCollection<Test>();
            data.Add(new Test() { Data = "Test1" });
            data.Add(new Test() { Data = "Test2" });
            data.Add(new Test() { Data = "Test3" });
            xamDataGrid1.DataSource = data;
        }
    }
    public class Test
    {
        public String Data { get; set; }
    }
}
